Typedefs | Enumerations | Variables

# goal_type.h File Reference

basic types related to goals More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SimpleTinyEnumT < GoalType, byte > | GoalTypeByte
| The GoalType packed into a byte for savegame purposes.
typedef uint32 | GoalTypeID
| Contains either tile, industry ID, town ID or company ID (or INVALID_GOALTYPE).
typedef uint16 | GoalID
| ID of a goal.
## Enumerations
enum | GoalType { GT_NONE, GT_TILE, GT_INDUSTRY, GT_TOWN, GT_COMPANY, GT_STORY_PAGE }
| Types of goal destinations. More...
## Variables
static const uint32 | GOAL_QUESTION_BUTTON_COUNT = 18
| Amount of buttons available.
static const byte | GOAL_QUESTION_TYPE_COUNT = 4
| Amount of question types.
static const GoalTypeID | INVALID_GOALTYPE = 0xFFFFFFFF
| Invalid/unknown index of GoalType.
GoalID | _new_goal_id

## Detailed Description

basic types related to goals

Definition in file goal_type.h.

## Enumeration Type Documentation

enum GoalType

Types of goal destinations.

Enumerator:

  GT_NONE | Destination is not linked.
  GT_TILE | Destination is a tile.
  GT_INDUSTRY | Destination is an industry.
  GT_TOWN | Destination is a town.
  GT_COMPANY | Destination is a company.
  GT_STORY_PAGE | Destination is a story page.

Definition at line 21 of file goal_type.h.